moc FATAL_ERROR: Server exited!

This forum is for discussion about general software issues.

moc FATAL_ERROR: Server exited!

Postby qinohe » Thu May 15, 2014 2:31 pm

Hi all, first post here on the board, thanks for all the hard work already :D

I'm running a RPI with moc on it, and it won't play after upgrading linux-raspberrypi (3.10.38-1 -> 3.12.19-1).
Now I don't know if it's due to, but is when it happened.

The message I get is
Code: Select all
Running the server...
Trying JACK...
FATAL_ERROR: Server exited!

There's no cache, as I already reinstalled.

I also have a strace, there's a SIGCHLD.
Code: Select all
 <... futex resumed> )             = ? ERESTARTSYS (To be restarted if SA_RESTART is set)
1556  --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=1557, si_status=0, si_utime=1, si_stime=5} ---
1556  futex(0xb6b5546c, FUTEX_WAIT_PRIVATE, 1, NULL <unfinished ...>
1555  <... read resumed> "/dev/shm\n", 4096) = 9
1555  close(9)                          = 0
1555  wait4(1557, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 1557
1555  munmap(0xb6f0e000, 4096)          = 0
1555  open("/proc/cpuinfo", O_RDONLY)   = 9
1555  fstat64(9, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
1555  mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb6f0e000
1555  read(9, "processor\t: 0\nmodel name\t: ARMv6-compatible proces"..., 1024) = 278
1555  read(9, "", 1024)                 = 0
1555  close(3)                          = 0
1555  exit_group(1)                     = ?
1556  +++ exited with 1 +++
1554  <... read resumed> "", 4)         = 0
1554  write(2, "\nFATAL_ERROR: Server exited!\n\n", 30) = 30
1554  close(3 <unfinished ...>
1555  +++ exited with 1 +++
1554  <... close resumed> )             = 0
1554  --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=1555, si_status=1, si_utime=0, si_stime=4} ---
1554  exit_group(2)                     = ?
1554  +++ exited with 2 +++

Should I take this 'up river', to the devs of moc?

Thanks, qinohe
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Mon May 19, 2014 10:52 am

When trying to build moc-svn, as requested by a moc dev. (I guess) with enable debug leads to compile errors, which I don't know how to solve.
I downloaded moc-svn from AUR.

This the PKGBUILD I used, I removed sidplay2;

Is anybody able to help me troubleshoot this, or is anyone facing the same issues.
Any input would be very appreciated ;) ,thanks.

Code: Select all
#Maintainer: Øyvind 'MrElendig' Heggstad <mrelendig@har-ikkje.net>
#Contributor: jsteel <mail at jsteel dot org>

pkgname=moc-svn
pkgver=2646
pkgrel=1
pkgdesc='A powerful & easy to use console audio player'
url="http://moc.daper.net"
arch=('i686' 'x86_64' 'armv6h')
license=('GPL')
depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
source=('moc::svn://daper.net/moc/trunk')
sha1sums=('SKIP')
makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack'
             'libmodplug' 'subversion' 'faad2')
optdepends=('speex: for using the speex plugin'
            'ffmpeg: for using the ffmpeg plugin'
            'taglib: for using the musepack plugin'
            'libmpcdec: for using the musepack plugin'
            'wavpack: for using the wavpack plugin'
            'libmodplug: for using the modplug plugin'
            'faad2: for use the aac plugin')
conflicts=('moc')
provides=('moc')
options=('!libtool')

pkgver() {
  cd moc
  svnversion
}

build() {
  cd moc
  export CPPFLAGS="${CPPFLAGS} -I/usr/lib/oss/include"
  autoreconf -f -i -Wall,no-obsolete
  ./configure --prefix=/usr --without-rcc \
    --with-oss --with-alsa --with-jack --with-aac --with-mp3 \
    --with-musepack --with-vorbis --with-flac --with-wavpack \
    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
    --with-samplerate --with-curl --enable-debug
  make
}

package() {
  cd moc
  make DESTDIR="$pkgdir" install
}


The error I get is;
Code: Select all
Checked out revision 2646.
==> Validating source files with sha1sums...
    moc ... Skipped
==> Extracting sources...
  -> Creating working copy of trunk svn repo...
==> Starting pkgver()...
==> Updated version: moc-svn 2646-1
==> Starting build()...
configure.in:156: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:405: AX_PATH_BDB_ENV_CONFIRM_LIB is expanded from...
m4/ax_path_bdb.m4:461: AX_PATH_BDB_ENV_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:156: the top level
configure.in:156: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:326: AX_PATH_BDB_PATH_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:282: AX_PATH_BDB_PATH_FIND_HIGHEST is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:156: the top level
configure.in:157: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:405: AX_PATH_BDB_ENV_CONFIRM_LIB is expanded from...
m4/ax_path_bdb.m4:461: AX_PATH_BDB_ENV_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:157: the top level
configure.in:157: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:326: AX_PATH_BDB_PATH_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:282: AX_PATH_BDB_PATH_FIND_HIGHEST is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:157: the top level
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `libltdl/config/compile'
libtoolize: copying file `libltdl/config/config.guess'
libtoolize: copying file `libltdl/config/config.sub'
libtoolize: copying file `libltdl/config/depcomp'
libtoolize: copying file `libltdl/config/install-sh'
libtoolize: copying file `libltdl/config/missing'
libtoolize: copying file `libltdl/config/ltmain.sh'
libtoolize: putting macros in `m4'.
libtoolize: copying file `m4/argz.m4'
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltdl.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: putting macros in `libltdl/m4'.
libtoolize: copying file `libltdl/m4/argz.m4'
libtoolize: copying file `libltdl/m4/libtool.m4'
libtoolize: copying file `libltdl/m4/ltdl.m4'
libtoolize: copying file `libltdl/m4/ltoptions.m4'
libtoolize: copying file `libltdl/m4/ltsugar.m4'
libtoolize: copying file `libltdl/m4/ltversion.m4'
libtoolize: copying file `libltdl/m4/lt~obsolete.m4'
libtoolize: putting libltdl files in `libltdl'.
libtoolize: copying file `libltdl/COPYING.LIB'
libtoolize: copying file `libltdl/README'
libtoolize: copying file `libltdl/Makefile.am'
libtoolize: copying file `libltdl/configure.ac'
libtoolize: copying file `libltdl/aclocal.m4'
libtoolize: copying file `libltdl/Makefile.in'
libtoolize: copying file `libltdl/config-h.in'
libtoolize: copying file `libltdl/configure'
libtoolize: copying file `libltdl/argz_.h'
libtoolize: copying file `libltdl/argz.c'
libtoolize: copying file `libltdl/loaders/dld_link.c'
libtoolize: copying file `libltdl/loaders/dlopen.c'
libtoolize: copying file `libltdl/loaders/dyld.c'
libtoolize: copying file `libltdl/loaders/load_add_on.c'
libtoolize: copying file `libltdl/loaders/loadlibrary.c'
libtoolize: copying file `libltdl/loaders/shl_load.c'
libtoolize: copying file `libltdl/lt__dirent.c'
libtoolize: copying file `libltdl/lt__strl.c'
libtoolize: copying file `libltdl/libltdl/lt__alloc.h'
libtoolize: copying file `libltdl/libltdl/lt__dirent.h'
libtoolize: copying file `libltdl/libltdl/lt__glibc.h'
libtoolize: copying file `libltdl/libltdl/lt__private.h'
libtoolize: copying file `libltdl/libltdl/lt__strl.h'
libtoolize: copying file `libltdl/libltdl/lt_dlloader.h'
libtoolize: copying file `libltdl/libltdl/lt_error.h'
libtoolize: copying file `libltdl/libltdl/lt_system.h'
libtoolize: copying file `libltdl/libltdl/slist.h'
libtoolize: copying file `libltdl/loaders/preopen.c'
libtoolize: copying file `libltdl/lt__alloc.c'
libtoolize: copying file `libltdl/lt_dlloader.c'
libtoolize: copying file `libltdl/lt_error.c'
libtoolize: copying file `libltdl/ltdl.c'
libtoolize: copying file `libltdl/ltdl.h'
libtoolize: copying file `libltdl/slist.c'
libtoolize: Remember to add `LT_CONFIG_LTDL_DIR([libltdl])' to `configure.in'.
libtoolize: Consider using `AC_CONFIG_AUX_DIR([libltdl/config])' in configure.in.
libtoolize: Consider using `AC_CONFIG_MACRO_DIR([libltdl/m4])' in configure.in.
configure.in:156: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:405: AX_PATH_BDB_ENV_CONFIRM_LIB is expanded from...
m4/ax_path_bdb.m4:461: AX_PATH_BDB_ENV_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:156: the top level
configure.in:156: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:326: AX_PATH_BDB_PATH_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:282: AX_PATH_BDB_PATH_FIND_HIGHEST is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:156: the top level
configure.in:157: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:405: AX_PATH_BDB_ENV_CONFIRM_LIB is expanded from...
m4/ax_path_bdb.m4:461: AX_PATH_BDB_ENV_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:157: the top level
configure.in:157: warning: AC_RUN_IFELSE called without default to allow cross compiling
../../lib/autoconf/general.m4:2748: AC_RUN_IFELSE is expanded from...
m4/ax_path_bdb.m4:326: AX_PATH_BDB_PATH_GET_VERSION is expanded from...
m4/ax_path_bdb.m4:282: AX_PATH_BDB_PATH_FIND_HIGHEST is expanded from...
m4/ax_path_bdb.m4:144: AX_PATH_BDB_NO_OPTIONS is expanded from...
m4/ax_path_bdb.m4:67: AX_PATH_BDB is expanded from...
configure.in:157: the top level
configure.in:52: installing './compile'
configure.in:51: installing './config.guess'
configure.in:51: installing './config.sub'
configure.in:8: installing './install-sh'
configure.in:8: installing './missing'
Makefile.am: installing './depcomp'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libaac_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/aac/Makefile.am:1:   while processing Libtool library 'libaac_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libffmpeg_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/ffmpeg/Makefile.am:1:   while processing Libtool library 'libffmpeg_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libflac_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/flac/Makefile.am:1:   while processing Libtool library 'libflac_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libmodplug_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/modplug/Makefile.am:1:   while processing Libtool library 'libmodplug_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libmp3_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/mp3/Makefile.am:1:   while processing Libtool library 'libmp3_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libmusepack_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/musepack/Makefile.am:1:   while processing Libtool library 'libmusepack_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libsidplay2_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/sidplay2/Makefile.am:1:   while processing Libtool library 'libsidplay2_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libsndfile_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/sndfile/Makefile.am:1:   while processing Libtool library 'libsndfile_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libspeex_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/speex/Makefile.am:1:   while processing Libtool library 'libspeex_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libtimidity_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/timidity/Makefile.am:1:   while processing Libtool library 'libtimidity_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libvorbis_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/vorbis/Makefile.am:1:   while processing Libtool library 'libvorbis_decoder.la'
/usr/share/automake-1.14/am/ltlibrary.am: warning: 'libwavpack_decoder.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.in'
decoder_plugins/wavpack/Makefile.am:1:   while processing Libtool library 'libwavpack_decoder.la'
/home/mark/build/moc-svn/PKGBUILD: line 36: ./configure: Permission denied
==> ERROR: A failure occurred in build().
    Aborting...


edit Btw. the package builds and installs fine on x86_64 /edit
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Tue May 20, 2014 1:37 pm

I think a little progress is made towards finding the problem
jcf, A dev from MOC suggested I should ask the following on the Raspberry Pi forum, but since it's packaged for Arch ARM, I will ask here first.
Something is not working right with the current version from MOC [Extra} and jack{Extra}, at least with my setup.
When trying to start jack independent, I get an error, like this
Code: Select all
sudo jackd -d alsa -P hw:0,0
jackd 0.124.1
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

could not open driver .so '/usr/lib/jack/jack_net.so': libcelt0.so.2: cannot open shared object file: No such file or directory

could not open driver .so '/usr/lib/jack/jack_firewire.so': libffado.so.2: cannot open shared object file: No such file or directory

JACK compiled with System V SHM support.
FATAL: cannot locate cpu MHz in /proc/cpuinfo

Reinstalling jack didn't resolve the issue.
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby WarheadsSE » Tue May 20, 2014 2:57 pm

Are those optional dependencies for jack?

Also, the CPU's MHz detection causing a fatal is .. hmm.
Core Developer
Remember: Arch Linux ARM is entirely community donation supported!
WarheadsSE
Developer
 
Posts: 6807
Joined: Mon Oct 18, 2010 2:12 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Tue May 20, 2014 4:05 pm

Thanks for your answer,
Are those optional dependencies for jack?

Looks like it, there's nothing about it in the official PKGBUILD [Extra} about that.
But installing libffado only makes that warning go away, it installs a firewire-driver, but there is no firewire, you get the picture..
Same for libcelt0, it is ,quote from Debian "CELT is an experimental audio codec for use in low-delay communication"
Than I found a post,though, rather old, https://bbs.archlinux.org/viewtopic.php?id=126163where karol says it's not a problem, but hey, I'm not a dev, but I believe him.

Also, the CPU's MHz detection causing a fatal is .. hmm.


I don't have a clue either, about the boot files ed. ; I did not overclock.

If I could provide anymore info...
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Wed May 21, 2014 11:03 am

The issue is solved, it was fairly simple, set SoundDriver = ALSA in config.
Since my config was set to JACK first, it failed.

But, still JACK is not working, due to it not being able to read Mhz. from cat /proc/cpuinfo.
jcf. From MOC says 'game over', if that ain't working.http://moc.daper.net/node/1030#comment-5185

MAybe, if it's not possible to read the Mhz. from cpuinfo, we should change something, because it is possible to read the current cpu freq with
Code: Select all
cat /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq
700000

which are Hz. so divide by 1000 = 700.

Maybe something could be done with that to get JACK working. Just brainstorming about this.
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Wed Jun 11, 2014 11:15 am

I would like to add some information, regarding the problem running 'jack' on ARM.
jcf, MOC developer, brought this to my attention.
First is a link on Raspberry Pi forum, second on Jack audio forum.
http://www.raspberrypi.org/forums/viewtopic.php?f=29&t=75895
http://jack-audio.10948.n7.nabble.com/Jack-Devel-jack-is-broken-on-ARM-without-bogomips-td17596.html

I have just pasted the links, haven't studied them thoroughly, yet, but it must be possible to patch time.c temporarily, until Jack devs come with a fix.
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Thu Jun 12, 2014 6:37 pm

Made JACK 0.124.1 working on PI.
Patch was provided by, so credits go to, Fernando Lopez-Lez
Still have some issues to solve before I can ptu the package in AUR, but coming up..
Code: Select all
sudo jackd -d alsa -P hw:0,0
jackd 0.124.1
Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support.
loading driver ..
creating alsa driver ... hw:0,0|-|1024|2|48000|0|0|nomon|swmeter|-|32bit
configuring for 48000Hz, period = 1024 frames (21.3 ms), buffer = 2 periods
ALSA: final selected sample format for playback: 16bit little-endian
ALSA: use 2 periods for playback
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm

Re: moc FATAL_ERROR: Server exited!

Postby qinohe » Mon Jun 16, 2014 12:27 pm

Still have some problems running JACK, none if I run as root.
I'm not allowed realtime scheduling as normal user, message:
Code: Select all
jackd -d alsa                               

JACK is running in realtime mode, but you are not allowed to use realtime scheduling.

After applying these changes, please re-login in order for them to take effect.

You don't appear to have a sane system configuration. It is very likely that you
encounter xruns. Please apply all the above mentioned changes and start jack again!


What I have done so far:
In 'etc/security/limits.d/99-audio.conf
Code: Select all
@audio  - rtprio        99
@audio  - memlock       unlimited

In 'etc/security/limits.conf
Code: Select all
@audio          -       rtprio          99
@audio          -       nice           -10
#@audio          -       memlock         40000
@audio          -       memlock         unlimited

In 'usr/lib/udev/rules.d/40-hpet-permissions.rules'
Code: Select all
KERNEL=="rtc0", GROUP="audio"
KERNEL=="hpet", GROUP="audio"


Still, not able to start JACK, still get the error. I must be using some setting that isn't working on ARM.
Thanks for looking into it.
qinohe
 
Posts: 11
Joined: Thu May 15, 2014 2:14 pm


Return to General

Who is online

Users browsing this forum: No registered users and 3 guests

cron